Skip to main content
GET
/
generations
/
{generation_id}
/
status
Get Status
curl --request GET \
  --url https://api.hedra.com/web-app/public/generations/{generation_id}/status \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.hedra.com/web-app/public/generations/{generation_id}/status"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.hedra.com/web-app/public/generations/{generation_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "progress": 123,
  "created_at": "<string>",
  "error_message": "<string>",
  "url": "<string>",
  "download_url": "<string>",
  "streaming_url": "<string>",
  "workspace_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

generation_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

ID of the generation.

asset_id
string<uuid>
required

ID of the generated asset.

type
enum<string>
required

Type of generation.

Available options:
text,
image,
audio,
video,
voice
status
enum<string>
required

Status of the generation.

Available options:
complete,
error,
processing,
queued,
finalizing
progress
number
required

Current progress to completion. Between 0-1

created_at
string
required

Date the generation was submitted.

error_message
string | null

Error message. Value is not present unless the status of the generation is 'error'

url
string | null

URL of the generated asset.

download_url
string | null

URL to download the asset.

streaming_url
string | null

URL to stream the asset.

workspace_id
string | null

ID of the workspace this generation belongs to.